#
# Figure 1 for Diversity Paper with Epstein and Knight
#

#
# Set Parameters
#
greys <- c("grey30","grey60")

#
# Plot Figure
#
pdf("fig1.pdf", paper="letter", width=6.5, height=6.5, horizontal=FALSE)
par(mfrow=c(2,1), cex=.8)

# Subfigure One
fig1first <- c(34.7, 65.3)
fig1last <- c(74.1, 25.9)
fig1data <- rbind(fig1first,fig1last)
barplot(fig1data, names.arg=c("Judge", "Not a Judge"), beside=TRUE, col=greys, xlab="Position at Time of Nomination",
ylab = "Percentage [%]", main="A. All Nominees (N = 148)", ylim = c(0,80))
abline(h=20, lty=3)
abline(h=40, lty=3)
abline(h=60, lty=3)
box()

# Subfigure Two
fig2first <- c(38.9, 61.1)
fig2last <- c(68.2, 31.8)
fig2data <- rbind(fig2first,fig2last)
barplot(fig2data, names.arg=c("Judge", "Not a Judge"), beside=TRUE, col=greys, xlab="Position at Time of Nomination",
ylab = "Percentage [%]", main="B. Successful Nominees (N = 112)", ylim = c(0,80))
abline(h=20, lty=3)
abline(h=40, lty=3)
abline(h=60, lty=3)
box()

dev.off()

