#
# Figure 2 for Diversity Paper with Epstein and Knight
#

#
# Set Parameters
#
start <- 1789
end <- 2001
terms <- end - start + 1
figcolors <- c("black","grey40","grey20","grey60","grey80","white")
#figcolors <- rev(rainbow(11))

#
# Load Data
#
library(foreign)
sdd<- read.spss("sdd2.sav", to.data.frame=TRUE)
attach(sdd)

# multiple all by 100
# more ticks

pdf("fig3.pdf", paper="letter", width=6.5, height=3.5, horizontal=FALSE)
par(mfrow=c(1,1), mai=c(.7,.7,.3,.1), cex=.8, lab=c(9, 5, 7))

plot(YEAR, 100*PRIVATT1, type="l", ylim=c(0,100),
xlab="Year", ylab="Percentage [%]")
holder <- c(start:end,end:start)
points <- c(100*PRIVATT1,rep(0,terms))
polygon(holder,points,col=figcolors[1])
lines(YEAR, 100*(PRIVATT1+GOVATT1))
points <- c(100*(PRIVATT1+GOVATT1), rev(100*PRIVATT1))
polygon(holder,points,col=figcolors[2])
lines(YEAR, 100*(PRIVATT1+GOVATT1+EXEC1))
points <- c(100*(PRIVATT1+GOVATT1+EXEC1), rev(100*(PRIVATT1+GOVATT1)))
polygon(holder,points,col=figcolors[3])
lines(YEAR, 100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1))
points <- c(100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1), rev(100*(PRIVATT1+GOVATT1+EXEC1)))
polygon(holder,points,col=figcolors[4])
lines(YEAR, 100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1+JUDGE1))
points <- c(100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1+JUDGE1), rev(100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1)))
polygon(holder,points,col=figcolors[5])
lines(YEAR, 100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1+JUDGE1+PROF1))
points <- c(100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1+JUDGE1+PROF1), rev(100*(PRIVATT1+GOVATT1+EXEC1+LEGIS1+JUDGE1)))
polygon(holder,points,col=figcolors[6])


dev.off()




