#
# Figure 3 for Diversity Paper with Epstein and Knight
#

#
# Set Parameters
#
start <- 1789
end <- 2001

#
# Load Data
#
library(foreign)
sdd<- read.spss("sdd2.sav", to.data.frame=TRUE)
attach(sdd)

#
# Variables
#
# YEAR NJUSTICE PROPEX PROPSTEX 
# PROPFEEX  PROELECT  PROELLEG PROELEXE
# PROLEGEX  PROSTLEG   PROFLEG  PROEXEXP
# PROAG    PROCAB  MEANYEAR PROPRIVA 
# PROPGOVT  PROPEXEC   PROPEXE   PRSTLEG
# PROFELEG  PROSTJUD PROFEJUD  PROPROFS
# PRIVATE1   GOVLEG1  GOVNONE1  PRIVATE2
# GOVATTY2  EXECBR2 LEGIS2 JUDGE2 
# PROPRIV3 ALLOTH3 MEANSTJ MEANFEDJ
# MEANJEXP ELECTED ATTORNEY POLEXP 
# LEGEXP ACAEXP MEANACA JEXPPRO
# FJEXP STJEXP MLEXP 
pdf("fig5.pdf", paper="letter", width=6.5, height=5.5, horizontal=FALSE)
par(mfrow=c(2,1), mai=c(.7,.7,.3,.1), lab=c(9, 5, 7), cex=.7)


plot(YEAR, 100*ELECT, type="l", ylab="Percentage [%]", main="A. Justices Holding Any Elected Position (Executive or Legislative) When Appointed", ylim=c(0,100), xlab="Year")

plot(YEAR, 100*POLEXP, type="l", ylab="Percentage [%]", main="B. Justices Holding Any Nonlegal Exec. or Legis. Position When Appointed", ylim=c(0,100), xlab="Year")

# Hypothesis Testing
regx <- start:end
summary(lm(EXEC1~regx))
summary(lm(ELECT~regx))
summary(lm(POLEXP~regx))

dev.off()




