#
# Figure 4 for Diversity Paper with Epstein and Knight
#

#
# Set Parameters
#
start <- 1789
end <- 2001

#
# Load Data
#
library(foreign)
sdd<- read.spss("sdd2.sav", to.data.frame=TRUE)
attach(sdd)

#
# Variables
#
# YEAR NJUSTICE PROPEX PROPSTEX 
# PROPFEEX  PROELECT  PROELLEG PROELEXE
# PROLEGEX  PROSTLEG   PROFLEG  PROEXEXP
# PROAG    PROCAB  MEANYEAR PROPRIVA 
# PROPGOVT  PROPEXEC   PROPEXE   PRSTLEG
# PROFELEG  PROSTJUD PROFEJUD  PROPROFS
# PRIVATE1   GOVLEG1  GOVNONE1  PRIVATE2
# GOVATTY2  EXECBR2 LEGIS2 JUDGE2 
# PROPRIV3 ALLOTH3 MEANSTJ MEANFEDJ
# MEANJEXP ELECTED ATTORNEY POLEXP 
# LEGEXP ACAEXP MEANACA JEXPPRO
# FJEXP STJEXP MLEXP 
pdf("fig6.pdf", paper="letter", width=6.5, height=8.5, horizontal=FALSE)
par(mfrow=c(3,1), lab=c(9, 5, 7), mai=c(.7,.6,.3,.1), cex=.7)

plot(YEAR, 100*GOVATT1, type="l", ylab="Percentage [%]", xlab = "Year", main="A. Justices Serving as Government Lawyers When Appointed", ylim=c(0,100))

plot(YEAR, 100*PRIVATT1, type="l", ylab="Percentage [%]", xlab = "Year", main="B. Justices Working in Private Practice When Appointed", ylim=c(0,100))

plot(YEAR, 100*PROF1, type="l", ylab="Percentage [%]", xlab = "Year", main="C. Justices Holding Academic Positions When Appointed", ylim=c(0,100))

dev.off()

