#
# Figure 7 for Diversity Paper with Epstein and Knight
#


#
# Load Data
#
library(foreign)
sdd<- read.spss("sdd.sav", to.data.frame=TRUE)
attach(sdd)

#
# Variables
#
# YEAR NJUSTICE PROPEX PROPSTEX 
# PROPFEEX  PROELECT  PROELLEG PROELEXE
# PROLEGEX  PROSTLEG   PROFLEG  PROEXEXP
# PROAG    PROCAB  MEANYEAR PROPRIVA 
# PROPGOVT  PROPEXEC   PROPEXE   PRSTLEG
# PROFELEG  PROSTJUD PROFEJUD  PROPROFS
# PRIVATE1   GOVLEG1  GOVNONE1  PRIVATE2
# GOVATTY2  EXECBR2 LEGIS2 JUDGE2 
# PROPRIV3 ALLOTH3 MEANSTJ MEANFEDJ
# MEANJEXP ELECTED ATTORNEY POLEXP 
# LEGEXP ACAEXP MEANACA JEXPPRO
# FJEXP STJEXP MLEXP 
pdf("fig7.pdf", paper="letter", width=6.5, height=3.5, horizontal=FALSE)
par(lab=c(9, 5, 7), mai=c(.7,.6,.3,.1), cex=.7)


plot(YEAR, MEANYEAR, type="l", ylab="Years Experience [Average]", xlab="Year", ylim=c(0,25))




dev.off()
