#
# Figure 9 for Diversity Paper with Epstein and Knight
#

#
# Set Parameters
#
start <- 1789
end <- 2001
greys <- c("grey30","grey60")

#
# Load Data
#
library(foreign)
sdd<- read.spss("sdd.sav", to.data.frame=TRUE)
experience <- read.spss("experience.sav", to.data.frame=TRUE)
attach(sdd)
attach(experience)

#
# Variables
#
# YEAR NJUSTICE PROPEX PROPSTEX 
# PROPFEEX  PROELECT  PROELLEG PROELEXE
# PROLEGEX  PROSTLEG   PROFLEG  PROEXEXP
# PROAG    PROCAB  MEANYEAR PROPRIVA 
# PROPGOVT  PROPEXEC   PROPEXE   PRSTLEG
# PROFELEG  PROSTJUD PROFEJUD  PROPROFS
# PRIVATE1   GOVLEG1  GOVNONE1  PRIVATE2
# GOVATTY2  EXECBR2 LEGIS2 JUDGE2 
# PROPRIV3 ALLOTH3 MEANSTJ MEANFEDJ
# MEANJEXP ELECTED ATTORNEY POLEXP 
# LEGEXP ACAEXP MEANACA JEXPPRO
# FJEXP STJEXP MLEXP 
pdf("fig9.pdf", paper="letter", width=6.5, height=10, horizontal=FALSE)
par(mfrow=c(4,1), lab=c(9, 5, 7), mai=c(.7,.6,.3,.1), cex=.7)

plot(YEAR, 100*ACAEXP, type="l", ylab="Percentage [%]",
main="A. Justices Working as Law Professors Before Their Appointment", xlab="Year", ylim=c(0,100))

plot(YEAR, 100*PROLEGEX, type="l", ylab="Percentage [%]",
main="B. Justices Working as Local, State or Federal Attorneys Before Their Appointment", xlab="Year", ylim=c(0,100))

plot(YEAR, 100*JEXPPRO, type="l", ylab="Percentage [%]",
main="C. Justices Serving as Federal or State Judges Before Their Appointment", xlab="Year", ylim=c(0,100))

plot(YEAR, MEANJEXP, type="l", ylab="Years Experience [Average]",
main="D. Justices Serving as Federal or State Judges Before Their Appointment", xlab="Year", ylim=c(0,11))


dev.off()

